#!/usr/bin/env python
# Copyright (C) 2012 Holger Hans Peter Freyther
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import dbus
import dbus.mainloop.glib
import gobject
import time

from osmocom import modem, sms, sim

messages = []
MODEM = "/wavecom_4"

dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
bus = dbus.SystemBus()
mods = modem.getmodems(bus)
mod = modem.get(bus, MODEM)
mod.enable()
mod.online()

s = sim.get(bus, MODEM)
print s.present()
print s.imsi()

sm = sms.get(bus, MODEM)
wartcher = sms.SmsWatcher(sm)
for i in range(1, 2000):
    messages.append(sms.send_message(sm, '39323', 'TEST %d' % i, False))
    #time.sleep(2)
    #sms.wait_for_sent(messages)


mainloop = gobject.MainLoop()
print dir(mainloop)
mainloop.run()
